from flask import Flask, render_template, request, redirect, url_for

app = Flask("Zoo")

my_animals = [{"Art" : "Noshörning",
               "Namn": "Pelle",
               "Info": "Den har öron"},
              {"Art": "Katt",
               "Namn": "Sebbe",
               "Info": "Den säger mjau"},
              {"Art": "Delfin",
               "Namn": "Flipper",
               "Info": "Den bor i badkaret"},
              {"Art": "Björn",
               "Namn": "Bertil"}
              ]

@app.route("/")
def index():
    return render_template("index.html")

@app.route("/zoo")
def zoo():
    return render_template("zoo.html", animals = my_animals)

@app.route("/animal_info/<int:animal_id>")
def animal_info(animal_id):
    return render_template("animal_info.html", animal=my_animals[animal_id])

@app.route("/add_animal", methods=["POST"])
def add_animal():
    animal = { "Namn" :request.form["namn"],
               "Art" : request.form["art"],
               "Info": request.form["info"]}
    my_animals.append(animal)
    return redirect(url_for("zoo"))

if __name__ == "__main__":
    app.run(debug = True)
